{
  pkgs,
  config,
  ...
}: let
  inherit (import ../lib.nix {}) mkSimpleTrayService;
in {
  services.gpg-agent.pinentryFlavor = "gtk2";
  fonts.fontconfig.enable = true;

  home.packages = with pkgs; [
    wlr-randr
    wayout
    wl-clipboard
    wmctrl

    # identifies key input syms
    wev

    # TODO: whwat's this for?
    # wltype

    pavucontrol
    playerctl
    pasystray
    qt5.qtwayland
    qt6.qtwayland
  ];

  home.sessionVariables = {
    XDG_SESSION_TYPE = "wayland";
    NIXOS_OZONE_WL = "1";
    MOZ_ENABLE_WAYLAND = "1";
  };

  home.pointerCursor = {
    name = "Vanilla-DMZ";
    package = pkgs.vanilla-dmz;
    size = 32;
    x11.enable = true;
    gtk.enable = true;
  };
}
